Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685810 - Hosted engine deployment failed while adding the gluster storage domain.
Summary: Hosted engine deployment failed while adding the gluster storage domain.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhiv-1.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 07:30 UTC by Mugdha Soni
Modified: 2019-04-03 10:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-08 07:30:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
gluster volume status after deployment. (deleted)
2019-03-06 07:30 UTC, Mugdha Soni
no flags Details
ansible logs (deleted)
2019-03-06 07:30 UTC, Mugdha Soni
no flags Details
gluster self heal daemon logs (deleted)
2019-03-06 07:31 UTC, Mugdha Soni
no flags Details
vdsm logs (deleted)
2019-03-06 07:32 UTC, Mugdha Soni
no flags Details

Description Mugdha Soni 2019-03-06 07:30:09 UTC
Created attachment 1541236 [details]
gluster volume status after deployment.

Description of problem:
---------------------------
The hosted engine deployment is failing at the point , adding the glusterfs  storage domain . After the failure of the hosted engine deployment some bricks are also in down state.


Version-Release number of selected component:
-----------------------------------------------
rhvh-4.3.0.5-0.20190225
glusterfs-server-3.12.2-45.el7rhgs
gluster-ansible-cluster-1.0-1.el7rhgs.noarch
gluster-ansible-features-1.0.4-3.el7rhgs.noarch
gluster-ansible-maintenance-1.0.1-1.el7rhgs.noarch
gluster-ansible-infra-1.0.3-2.el7rhgs.noarch
gluster-ansible-roles-1.0.4-3.el7rhgs.noarch
gluster-ansible-repositories-1.0-1.el7rhgs.noarch
cockpit-ovirt-dashboard-0.12.3-1.el7ev

How reproducible:
-------------------
2/2

Steps to Reproduce:
-----------------------
1.After successful gluster deployment look for volume status.
2.Proceed to hosted engine deployment and successfully bring up the hosted engine vm and the proceed with finishing the deployment.
3.After failure check for gluster volume status

Actual results:
-------------------
Some bricks are going down


Expected results:
---------------------
All bricks should be up.

Comment 1 Mugdha Soni 2019-03-06 07:30:45 UTC
Created attachment 1541237 [details]
ansible logs

Comment 2 Mugdha Soni 2019-03-06 07:31:38 UTC
Created attachment 1541238 [details]
gluster self heal daemon logs

Comment 3 Mugdha Soni 2019-03-06 07:32:09 UTC
Created attachment 1541239 [details]
vdsm logs

Comment 4 SATHEESARAN 2019-03-08 07:30:12 UTC
I do not see such problems with the latest RHHI-V deployment with RHVH 4.3

I have  used the following components:

redhat-virtualization-host-image-update-4.3-20190305.1.el7_6.noarch.rpm
glusterfs-3.12.2-45.el7rhgs

Closing this bug for now.


Note You need to log in before you can comment on or make changes to this bug.